/***** interface.h ************************************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Jun 20 13:07:28 2004.
 *****************************************************************/

/* define argument container */
typedef struct args{
  char *p;          /* patterns delimited by | */
  char *t;          /* name of text file */
  char *O;          /* name of output file for patterns */
  char *o;          /* name of output file */
  int d;            /* diagnostic output */
  int D;            /* verbose diagnostic output */
  int symLen1;      /* minimal symbol length for unambiguous match */
  int symLen2;      /* minimal symbol length for match in combination with wc2 */
  int symLen3;      /* exact symbol length for match in combination with wc3 */
  int wc1;          /* minimal word count in approved or previous gene name */
  int wc2;          /* minimal word count in conjunction with symLen2 */
  int wc3;          /* minimal word count in conjunction with symLen3 */
  int wcAlias;      /* minimal alias count */
  float frac;       /* minimal fraction of words in approved gene name or previous gene name sufficient for match */
  int A;            /* aliase search case-sensitive? */
  int c;            /* print match categories? */
  int h;            /* help message? */
  int e;            /* error message? */
} Args;

Args getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printArgsUsage(char *version, Args args);
